youtube-dlg

  • hallo Leute,

    Ich habe schon auf unzähligen Seiten geguckt, aber nichts davon hat geklappt.

    Ich will youtube-dl als grafische oberfläche haben.

    Aber so wies im Internet beschrieben wird klappt es einfach nicht.

    Da steht :

    Code
    1. sudo pip install youtube-dlg
    2. oder
    3. sudo apt-get install youtube-dlg

    bei dem ersten kommt immer

    Code
    1. No module named twodict

    und beim zweiten kann er das Paket nicht finden.


    Es geht ja auch bei ubuntu mate. Dann wird es doch auch bei Raspbian funktionieren, oder?

    Aber WIE?:helpnew:



    Danke im voraus

    Was wäre das Leben ohne Technik:no_sad::-/

  • wenn ich dann sudo pip install youtube-dlg eingebe kommt das hier:


    Was wäre das Leben ohne Technik:no_sad::-/

  • kann mir mal bitte jemand erklären, warum das auf einmal einfach so nicht mehr klappt?????????

    Was wäre das Leben ohne Technik:no_sad::-/

  • Zu dvb : Ja, denn ich musste das Betriebssystem nochmal ganz von vorne aufsetzen.

    Zu noisefloor : Ich nutze einen Pi 3b +

    Was wäre das Leben ohne Technik:no_sad::-/

  • Hallo,

    Zu dvb : Ja, denn ich musste das Betriebssystem nochmal ganz von vorne aufsetzen.

    Ok - trotzdem sehe ich auch den Zusammenhang nicht, weil youtube-dl wxPython nicht braucht.


    Zum Problem: lt dieser Seite https://wiki.wxpython.org/How%…_Raspbian_on_Raspberry_Pi funktioniert wxPython 4.0.x auf dem Pi, allerdings wird da explizit nur Python >= 3.4 erwähnt. Über Python 2.7 schweigst sich die Seite aus - spricht wohl stark für Python 3. Was ja an sich nicht schlimm ist, weil Python 2.7 ab irgendwann 2020 auch keine Support mehr bekommt.


    Gruß, noisefloor